/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.TipoMovimiento;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Administrador
 */
public class RenderTipoMovimiento implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        TipoMovimiento tipoMovimiento = (TipoMovimiento) o;

        Listcell lc = new Listcell(tipoMovimiento.getTipomovimientoId().toString());
        lc.setParent(lstm);

        lc = new Listcell(tipoMovimiento.getDescmovimiento());
        lc.setParent(lstm);

        lstm.setAttribute("data", tipoMovimiento);
    }
}
